API Tenant-uri
Obținerea tenant-ului curent
Returnează profilul și informațiile de plan ale tenant-ului autentificat.
GET /tenants/meExemplu de cerere
bash
curl https://api.aether365.io/tenants/me \
-H "Authorization: Bearer <token>"Exemplu de răspuns
json
{
"success": true,
"data": {
"id": "t_abc123",
"email": "admin@example.com",
"companyName": "Example Corp",
"planTier": "pro",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-04-01T08:30:00Z"
}
}Câmpuri răspuns
| Câmp | Tip | Descriere |
|---|---|---|
id | string | Identificator tenant |
email | string | Email proprietar cont |
companyName | string | Nume companie (derivat din domeniul emailului) |
planTier | string | Plan curent: free, pro, enterprise |
createdAt | string | Marcaj temporal ISO 8601 al creării contului |
updatedAt | string | Marcaj temporal ISO 8601 al ultimei actualizări |
Actualizarea profilului tenant-ului
Actualizează numele afișat al tenant-ului.
PATCH /tenants/meCorp cerere
json
{
"companyName": "Acme Security Ltd"
}| Câmp | Tip | Obligatoriu | Descriere |
|---|---|---|---|
companyName | string | Nu | Nume afișat pentru tenant |
Exemplu de cerere
bash
curl -X PATCH https://api.aether365.io/tenants/me \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"companyName": "Acme Security Ltd"}'Exemplu de răspuns
json
{
"success": true,
"data": {
"id": "t_abc123",
"email": "admin@example.com",
"companyName": "Acme Security Ltd",
"planTier": "pro",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-04-10T12:00:00Z"
}
}